#
# spec file for package prun-ohpc
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           prun-ohpc
Version:        1.2
Release:        2.2
Summary:        Convenience utility for parallel job launch
License:        Apache-2.0
Group:          Productivity/Clustering/Computing
BuildArch:      noarch
URL:            https://github.com/openhpc/ohpc
Source1:        prun
Source2:        LICENSE
Patch1:         prun-Add-user-config.patch

%description
prun provides a unified, script-based wrapper for launching parallel jobs
within a resource manager for a variety of MPI families.

%prep
cp %{S:1} %{S:2} .

%patch -P 1 -p0

cat <<EOF > ./prunrc
# Loglvl:  0=error,1=warn,2=info,3=debug
LOGLEVEL=2
EOF

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 0755 prun %{buildroot}%{_bindir}
install -D -m 0644 prunrc %{buildroot}%{_sysconfdir}/prunrc
install -D -m 0644 prunrc %{buildroot}%{_sysconfdir}/skel/.prunrc

%files
%license LICENSE
%{_bindir}/prun
%config %{_sysconfdir}/prunrc
%config %{_sysconfdir}/skel/.prunrc

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Sep  5 2019 Ana Guerrero Lopez <aguerrero@suse.com>
- Update to version 1.2.
- Refresh patch
  * prun-Add-user-config.patch
- License change, from BSD-3-Clause to Apache-2.0.
- Use %%license
* Mon Aug 14 2017 eich@suse.com
- Fix group.
* Thu Mar 23 2017 jengelh@inai.de
- Replace weird RPM group
- Replace %%__-type macro indirections
* Wed Oct 19 2016 eich@suse.com
- Fix script to use user config in ~/.prunrc and global config
  in /etc/prunrc.
* Fri Oct 14 2016 eich@suse.com
- Initial import of 'prun' from OpenHPC
  FATE#321713.
